SPRING DATA GEODE CHANGELOG
---------------------------
https://projects.spring.io/spring-data-gemfire/
===============================================

Changes in version 2.2.0.RC1 (2019-06-14)
-----------------------------------------
* DATAGEODE-201 - Create security policy readme.
* DATAGEODE-200 - Fix CacheClusterConfigurationIntegrationTest.
* DATAGEODE-199 - Refactor current SDG XML Schemas (XSD) and add new SDG 2.2 XML Schemas (XSD).
* DATAGEODE-198 - Add support for lazy resolving, composable Configurers.
* DATAGEODE-196 - Add support for dynamic HTTP client port configuration based on protocol/scheme.
* DATAGEODE-194 - Add support to authenticate HTTP requests when using @EnableClusterConfiguration and @EnableSecurity.
* DATAGEODE-193 - Add support for HTTPS and Follow Redirects when using @EnableClusterConfiguration.
* DATAGEODE-192 - Add support for HTTPS and Follow Redirects when using @EnableClusterConfiguration.
* DATAGEODE-190 - Add support to EnableSsl for ssl-use-default-context and ssl-endpoint-identification-enabled.
* DATAGEODE-181 - Release 2.2 RC1 (Moore).
* DATAGEODE-168 - Configure GatewayReceivers with Annotations.


Changes in version 2.1.9.RELEASE (2019-06-14)
---------------------------------------------
* DATAGEODE-199 - Refactor current SDG XML Schemas (XSD) and add new SDG 2.2 XML Schemas (XSD).
* DATAGEODE-198 - Add support for lazy resolving, composable Configurers.
* DATAGEODE-196 - Add support for dynamic HTTP client port configuration based on protocol/scheme.
* DATAGEODE-194 - Add support to authenticate HTTP requests when using @EnableClusterConfiguration and @EnableSecurity.
* DATAGEODE-193 - Add support for HTTPS and Follow Redirects when using @EnableClusterConfiguration.
* DATAGEODE-192 - Add support for HTTPS and Follow Redirects when using @EnableClusterConfiguration.
* DATAGEODE-189 - Release 2.1.9 (Lovelace SR9).


Changes in version 2.1.8.RELEASE (2019-05-13)
---------------------------------------------
* DATAGEODE-186 - Release 2.1.8 (Lovelace SR8).


Changes in version 2.2.0.M4 (2019-05-13)
----------------------------------------
* DATAGEODE-188 - Refactor and simplify codebase.
* DATAGEODE-187 - Configure and start GemFire Locators with SDG config.
* DATAGEODE-185 - Fix DurableClientCacheIntegrationTest.
* DATAGEODE-184 - Apply RegionConfigurers to Caching-defined Regions.
* DATAGEODE-183 - Upgrade to Apache Geode 1.9.0.
* DATAGEODE-182 - Release 2.2 M4 (Moore).


Changes in version 2.1.7.RELEASE (2019-05-10)
---------------------------------------------
* DATAGEODE-184 - Apply RegionConfigurers to Caching-defined Regions.
* DATAGEODE-178 - Release 2.1.7 (Lovelace SR7).


Changes in version 2.2.0.M3 (2019-04-11)
----------------------------------------
* DATAGEODE-180 - Set Framework and Geode log level in tests to error.
* DATAGEODE-179 - Polish Durable Client and Eviction/Expiration Annotation configuration support after Framework regressions.
* DATAGEODE-175 - Move away from Spring Data Commons deprecations.
* DATAGEODE-174 - Release 2.2 M3 (Moore).


Changes in version 2.1.6.RELEASE (2019-04-01)
---------------------------------------------
* DATAGEODE-171 - Release 2.1.6 (Lovelace SR6).


Changes in version 2.0.14.RELEASE (2019-04-01)
----------------------------------------------
* DATAGEODE-166 - Release 2.0.14 (Kay SR14).


Changes in version 2.2.0.M2 (2019-03-07)
----------------------------------------
* DATAGEODE-173 - Adapt to Repository API (findAll) changes in Spring Data Commons.
* DATAGEODE-172 - Upgrade to AssertJ 3.12.0.
* DATAGEODE-165 - Introduce Concourse CI.
* DATAGEODE-164 - Update copyright years to 2019.
* DATAGEODE-163 - Add dependency between Lucene Index bean definition and the GemFireCache instance.
* DATAGEODE-162 - Fix link in Annotation Config Quickstart doc to the MappingPdxSerializer section of the POJO Mapping chapter.
* DATAGEODE-161 - Upgrade to Apache Geode 1.8.0.
* DATAGEODE-160 - Release 2.2 M2 (Moore).
* DATAGEODE-157 - 13.2. Annotation Configuration Support, refers to incorrect Indexing annotations.
* DATAGEODE-151 - BatchingResultSender does not send result when results are empty.


Changes in version 2.1.5.RELEASE (2019-02-13)
---------------------------------------------
* DATAGEODE-167 - Release 2.1.5 (Lovelace SR5).


Changes in version 2.1.4.RELEASE (2019-01-10)
---------------------------------------------
* DATAGEODE-164 - Update copyright years to 2019.
* DATAGEODE-163 - Add dependency between Lucene Index bean definition and the GemFireCache instance.
* DATAGEODE-162 - Fix link in Annotation Config Quickstart doc to the MappingPdxSerializer section of the POJO Mapping chapter.
* DATAGEODE-157 - 13.2. Annotation Configuration Support, refers to incorrect Indexing annotations.
* DATAGEODE-156 - Release 2.1.4 (Lovelace SR4).
* DATAGEODE-151 - BatchingResultSender does not send result when results are empty.


Changes in version 2.0.13.RELEASE (2019-01-10)
----------------------------------------------
* DATAGEODE-164 - Update copyright years to 2019.
* DATAGEODE-163 - Add dependency between Lucene Index bean definition and the GemFireCache instance.
* DATAGEODE-162 - Fix link in Annotation Config Quickstart doc to the MappingPdxSerializer section of the POJO Mapping chapter.
* DATAGEODE-157 - 13.2. Annotation Configuration Support, refers to incorrect Indexing annotations.
* DATAGEODE-155 - Release 2.0.13 (Kay SR13).
* DATAGEODE-151 - BatchingResultSender does not send result when results are empty.


Changes in version 2.2.0.M1 (2018-12-11)
----------------------------------------
* DATAGEODE-159 - Simplify reference documentation setup.
* DATAGEODE-158 - Release 2.2 M1 (Moore).
* DATAGEODE-153 - Add test asserting 2 concurrent threads entering a transaction on the same entry leads to the proper outcome.
* DATAGEODE-148 - Upgrade to Apache Geode 1.7.0.
* DATAGEODE-143 - Upgrade to Apache Geode 1.7.0.


Changes in version 2.1.3.RELEASE (2018-11-27)
---------------------------------------------
* DATAGEODE-154 - Release 2.1.3 (Lovelace SR3).


Changes in version 2.0.12.RELEASE (2018-11-27)
----------------------------------------------
* DATAGEODE-150 - Release 2.0.12 (Kay SR12).


Changes in version 2.1.2.RELEASE (2018-10-29)
---------------------------------------------
* DATAGEODE-149 - Release 2.1.2 (Lovelace SR2).


Changes in version 2.0.11.RELEASE (2018-10-15)
----------------------------------------------
* DATAGEODE-145 - Release 2.0.11 (Kay SR11).


Changes in version 2.1.1.RELEASE (2018-10-15)
---------------------------------------------
* DATAGEODE-147 - Release 2.1.1 (Lovelace SR1).


Changes in version 2.1.0.RELEASE (2018-09-21)
---------------------------------------------
* DATAGEODE-146 - Include documentation about Object Mapping Fundamentals.
* DATAGEODE-144 - Add "requiredPermissions" to @GemfireFunction annotation.
* DATAGEODE-142 - Add annotation configuration support to create client Regions from Cluster-defined Regions.
* DATAGEODE-141 - Release 2.1 GA (Lovelace).
* DATAGEODE-109 - Refactor and reorganize codebase.


Changes in version 2.0.10.RELEASE (2018-09-10)
----------------------------------------------
* DATAGEODE-140 - Correct Pool references in 'Runtime configuration using Properties' documentation.
* DATAGEODE-137 - Fix typo in Global, JTA Transaction Management documentation.
* DATAGEODE-136 - Replace all BeanPostProcessors setting GemFire/Geode Properties using SDG service enabling annotations with Configurers.
* DATAGEODE-135 - Polish SDG Reference Guide Edits.
* DATAGEODE-134 - Release 2.0.10 (Kay SR10).
* DATAGEODE-127 - Add quick start reference to the "Bootstrapping Apache Geode Using Annotations" chapter.
* DATAGEODE-125 - Edit MappingPdxSerializer type filter documentation to cover includes and excludes.
* DATAGEODE-114 - Edit Annotation config chapter to include a Annotation quick start section.


Changes in version 2.1.0.RC2 (2018-08-20)
-----------------------------------------
* DATAGEODE-140 - Correct Pool references in 'Runtime configuration using Properties' documentation.
* DATAGEODE-139 - Adapt to @EventListener API behavior changes in Spring Framework 5.1.0.RC2.
* DATAGEODE-138 - Adapt to API changes in Spring Data Commons CDI implementation detector.
* DATAGEODE-137 - Fix typo in Global, JTA Transaction Management documentation.
* DATAGEODE-136 - Replace all BeanPostProcessors setting GemFire/Geode Properties using SDG service enabling annotations with Configurers.
* DATAGEODE-135 - Polish SDG Reference Guide Edits.
* DATAGEODE-133 - Release 2.1 RC2 (Lovelace).
* DATAGEODE-127 - Add quick start reference to the "Bootstrapping Apache Geode Using Annotations" chapter.
* DATAGEODE-125 - Edit MappingPdxSerializer type filter documentation to cover includes and excludes.
* DATAGEODE-114 - Edit Annotation config chapter to include a Annotation quick start section.


Changes in version 2.0.9.RELEASE (2018-07-26)
---------------------------------------------
* DATAGEODE-131 - XML schema spring-gemfire.xsd missing, application cannot start without Internet connection.
* DATAGEODE-130 - Review and merge SDG Reference Guide Edits.
* DATAGEODE-128 - Allow CacheTypeAwareFactoryBean to register interests on client Region creation and implement SmartLifecycle.
* DATAGEODE-124 - Relax type matching for resolving Function arguments in FunctionContextInjectingArgumentResolver.
* DATAGEODE-123 - Release 2.0.9 (Kay SR9).


Changes in version 2.1.0.RC1 (2018-07-26)
-----------------------------------------
* DATAGEODE-132 - Adapt to API changes in the core Spring Framework.
* DATAGEODE-130 - Review and merge SDG Reference Guide Edits.
* DATAGEODE-128 - Allow CacheTypeAwareFactoryBean to register interests on client Region creation and implement SmartLifecycle.
* DATAGEODE-124 - Relax type matching for resolving Function arguments in FunctionContextInjectingArgumentResolver.
* DATAGEODE-122 - Refactor Function annotation configuration to be smarter in resolving Apache Geode objects on startup.
* DATAGEODE-121 - Do not allow eager init when getting beans by type to resolve Configurers for Annotation configuration.
* DATAGEODE-117 - Move configuration of PDX to a PdxConfiguration class imported by the EnablePdx annotation.
* DATAGEODE-116 - Add ability to declare include filters in addition to exclude filters on o.s.d.g.mapping.MappingPdxSerializer.
* DATAGEODE-115 - Add serializable-object-filter and validate-serializable-objects attributes to EnableGemFireProperties.
* DATAGEODE-113 - Add name attribute to EnableGemFireProperties.
* DATAGEODE-112 - Clean BeanFactoryLocator references on CacheFactoryBean destroy.
* DATAGEODE-111 - Add ability to configure SecurityManager on CacheFactoryBean.
* DATAGEODE-110 - Move client Region interests registration to on SmartLifecycle start.
* DATAGEODE-108 - Release 2.1 RC1 (Lovelace).


Changes in version 2.0.8.RELEASE (2018-06-13)
---------------------------------------------
* DATAGEODE-122 - Refactor Function annotation configuration to be smarter in resolving Apache Geode objects on startup.
* DATAGEODE-121 - Do not allow eager init when getting beans by type to resolve Configurers for Annotation configuration.
* DATAGEODE-117 - Move configuration of PDX to a PdxConfiguration class imported by the EnablePdx annotation.
* DATAGEODE-116 - Add ability to declare include filters in addition to exclude filters on o.s.d.g.mapping.MappingPdxSerializer.
* DATAGEODE-113 - Add name attribute to EnableGemFireProperties.
* DATAGEODE-112 - Clean BeanFactoryLocator references on CacheFactoryBean destroy.
* DATAGEODE-111 - Add ability to configure SecurityManager on CacheFactoryBean.
* DATAGEODE-110 - Move client Region interests registration to on SmartLifecycle start.
* DATAGEODE-107 - Properly enable statistics when Annotation-based Expiration Policies are enabled with EnableExpiration.
* DATAGEODE-105 - Add ability to filter types de/serialized by the o.s.d.g.mapping.MappingPdxSerializer.
* DATAGEODE-104 - Release 2.0.8 (Kay SR8).


Changes in version 2.1.0.M3 (2018-05-17)
----------------------------------------
* DATAGEODE-107 - Properly enable statistics when Annotation-based Expiration Policies are enabled with EnableExpiration.
* DATAGEODE-106 - Adapt to SpEL Extension API changes in Spring Data Commons.
* DATAGEODE-105 - Add ability to filter types de/serialized by the o.s.d.g.mapping.MappingPdxSerializer.
* DATAGEODE-103 - Upgrade to Apache Geode 1.6.0.
* DATAGEODE-102 - Add support for enforcing Lucene Index creation before Region creation.
* DATAGEODE-101 - Add support for setting a LuceneSerializer on LuceneIndex creation.
* DATAGEODE-100 - Avoid Pool Already Exists Exception on Spring container initialization.
* DATAGEODE-97 - Release 2.1 M3 (Lovelace).
* DATAGEODE-95 - Upgrade to Apache Geode 1.5.0.
* DATAGEODE-87 - Add enumeration for eviction attributes.


Changes in version 2.0.7.RELEASE (2018-05-08)
---------------------------------------------
* DATAGEODE-102 - Add support for enforcing Lucene Index creation before Region creation.
* DATAGEODE-101 - Add support for setting a LuceneSerializer on LuceneIndex creation.
* DATAGEODE-100 - Avoid Pool Already Exists Exception on Spring container initialization.
* DATAGEODE-96 - RegionAttributes.offHeap is improperly overridden by RegionFactoryBean.offHeap.
* DATAGEODE-94 - Release 2.0.7 (Kay SR7).


Changes in version 2.1.0.M2 (2018-04-13)
----------------------------------------
* DATAGEODE-96 - RegionAttributes.offHeap is improperly overridden by RegionFactoryBean.offHeap.
* DATAGEODE-93 - Realign SSL configuration using @EnableSsl with Apache Geode's SSL configuration properties.
* DATAGEODE-92 - Remove explicit declaration of Jackson library versions.
* DATAGEODE-91 - Impossible to define event filter for AsyncEventQueue.
* DATAGEODE-90 - Remove all git merge conflict tags in SDG source code Javadoc.
* DATAGEODE-89 - Export composable repositories via CDI.
* DATAGEODE-88 - Add configuration support for critical and eviction off-heap percentages in client, peer and cache server application annotations.
* DATAGEODE-84 - Fix CI test failures caused by changes in Spring Data Commons CDI Repository support allowing unlimited implementation classes.
* DATAGEODE-83 - Override generated OQL from Repository query methods.
* DATAGEODE-82 - Extend MappingPdxSerializer to allow registering custom PdxSerializers based on fully qualified property name.
* DATAGEODE-81 - Release 2.1 M2 (Lovelace).


Changes in version 2.0.6.RELEASE (2018-04-04)
---------------------------------------------
* DATAGEODE-93 - Realign SSL configuration using @EnableSsl with Apache Geode's SSL configuration properties.
* DATAGEODE-92 - Remove explicit declaration of Jackson library versions.
* DATAGEODE-91 - Impossible to define event filter for AsyncEventQueue.
* DATAGEODE-90 - Remove all git merge conflict tags in SDG source code Javadoc.
* DATAGEODE-88 - Add configuration support for critical and eviction off-heap percentages in client, peer and cache server application annotations.
* DATAGEODE-86 - Release 2.0.6 (Kay SR6).


Changes in version 2.0.5.RELEASE (2018-02-28)
---------------------------------------------
* DATAGEODE-85 - Release 2.0.5 (Kay SR5).
* DATAGEODE-83 - Override generated OQL from Repository query methods.


Changes in version 2.0.4.RELEASE (2018-02-19)
---------------------------------------------
* DATAGEODE-82 - Extend MappingPdxSerializer to allow registering custom PdxSerializers based on fully qualified property name.
* DATAGEODE-79 - Release 2.0.4 (Kay SR4).


Changes in version 2.1.0.M1 (2018-02-06)
----------------------------------------
* DATAGEODE-80 - Upgrade to Apache Geode 1.4.0.
* DATAGEODE-78 - Fix incorrect server proxying behavior when registering local, client Regions using EnableCachingDefinedRegions.
* DATAGEODE-77 - Update copyright years to 2018.
* DATAGEODE-76 - When SDG Annotation config is used to configure and bootstrap an Apache Geode server, automatically register the Administrative Functions.
* DATAGEODE-75 - Enable the spring.data.gemfire.name property to be used in addition to spring.data.gemfire.cache.name for naming members of the cluster.
* DATAGEODE-74 - Extend SDG's GemfireSimpleTypeHolder to handle Java 8 Time types.
* DATAGEODE-73 - Fix race condition between ContinuousQuery registration and EnableClusterConfiguration Region creation.
* DATAGEODE-72 - Fix MappingPdxSerializer to ignore transient, non-writable and non-entity-based (simple type) properties and fields.
* DATAGEODE-71 - Change all com.gemstone.gemfire package references in the RegionDataAccessTracingAspect Pointcuts to org.apache.geode.
* DATAGEODE-70 - Investigate long documentation build times.
* DATAGEODE-69 - Dependency on org.iq80.snappy:snappy breaks the IO Platform build and appears to be a candidate for being test scoped.
* DATAGEODE-68 - From clause Region path error occurs when creating Indexes from application domain object fields annotated with @Indexed or @Id.
* DATAGEODE-66 - Allow basePackages to be configured using a property when creating Entity-defined Regions.
* DATAGEODE-65 - Document use of @EnableGemfireRepositories.
* DATAGEODE-64 - Allow the QueryService to be configured as a Spring bean in the ContinuousQuery Annotation support.
* DATAGEODE-63 - Add Annotation support for Region Compression.
* DATAGEODE-62 - Fix Off-Heap Annotation config to properly handle Entity-defined and Java-based Region configuration.
* DATAGEODE-61 - Do not configure ClientRegionFactory poolName when Pool is set to DEFAULT.
* DATAGEODE-60 - Add support for JSR-107 JCache API Annotations in Caching-defined Regions.
* DATAGEODE-59 - Add support for configuring client and server Region data management policies in Entity-defined Regions.
* DATAGEODE-58 - Add support for configuring client and server Region data management policies in Caching-defined Regions.
* DATAGEODE-57 - Add support for invoking callbacks when loading snapshots.
* DATAGEODE-56 - Add support for parallel snapshots.
* DATAGEODE-55 - Upgrade to Apache Geode 1.3.0.
* DATAGEODE-53 - Beans proxied by the Spring container with declared CQs are not registered and triggered.
* DATAGEODE-52 - Using SD Repositories and @EnableContinuousQueries causes errors with Spring container initialization.
* DATAGEODE-51 - EnableClusterConfiguration annotation attributes are silently ignored.
* DATAGEODE-50 - Spring Cache Abstraction annotations do not trigger CQ.
* DATAGEODE-49 - Release 2.1 M1 (Lovelace).


Changes in version 2.0.3.RELEASE (2018-01-24)
---------------------------------------------
* DATAGEODE-78 - Fix incorrect server proxying behavior when registering local, client Regions using EnableCachingDefinedRegions.
* DATAGEODE-76 - When SDG Annotation config is used to configure and bootstrap an Apache Geode server, automatically register the Administrative Functions.
* DATAGEODE-75 - Enable the spring.data.gemfire.name property to be used in addition to spring.data.gemfire.cache.name for naming members of the cluster.
* DATAGEODE-74 - Extend SDG's GemfireSimpleTypeHolder to handle Java 8 Time types.
* DATAGEODE-73 - Fix race condition between ContinuousQuery registration and EnableClusterConfiguration Region creation.
* DATAGEODE-72 - Fix MappingPdxSerializer to ignore transient, non-writable and non-entity-based (simple type) properties and fields.
* DATAGEODE-71 - Change all com.gemstone.gemfire package references in the RegionDataAccessTracingAspect Pointcuts to org.apache.geode.
* DATAGEODE-69 - Dependency on org.iq80.snappy:snappy breaks the IO Platform build and appears to be a candidate for being test scoped.
* DATAGEODE-68 - From clause Region path error occurs when creating Indexes from application domain object fields annotated with @Indexed or @Id.
* DATAGEODE-67 - Release 2.0.3 (Kay SR3).


Changes in version 2.0.2.RELEASE (2017-11-27)
---------------------------------------------
* DATAGEODE-66 - Allow basePackages to be configured using a property when creating Entity-defined Regions.
* DATAGEODE-65 - Document use of @EnableGemfireRepositories.
* DATAGEODE-64 - Allow the QueryService to be configured as a Spring bean in the ContinuousQuery Annotation support.
* DATAGEODE-63 - Add Annotation support for Region Compression.
* DATAGEODE-62 - Fix Off-Heap Annotation config to properly handle Entity-defined and Java-based Region configuration.
* DATAGEODE-61 - Do not configure ClientRegionFactory poolName when Pool is set to DEFAULT.
* DATAGEODE-60 - Add support for JSR-107 JCache API Annotations in Caching-defined Regions.
* DATAGEODE-59 - Add support for configuring client and server Region data management policies in Entity-defined Regions.
* DATAGEODE-58 - Add support for configuring client and server Region data management policies in Caching-defined Regions.
* DATAGEODE-54 - Release 2.0.2 (Kay SR2).


Changes in version 2.0.1.RELEASE (2017-10-27)
---------------------------------------------
* DATAGEODE-53 - Beans proxied by the Spring container with declared CQs are not registered and triggered.
* DATAGEODE-52 - Using SD Repositories and @EnableContinuousQueries causes errors with Spring container initialization.
* DATAGEODE-51 - EnableClusterConfiguration annotation attributes are silently ignored.
* DATAGEODE-50 - Spring Cache Abstraction annotations do not trigger CQ.
* DATAGEODE-48 - Release 2.0.1 (Kay SR1).



Changes in version 2.0.0.RELEASE (2017-10-02)
---------------------------------------------
* DATAGEODE-47 - Add documentation in SDG's Reference Guide for the new Annotation-based configuration model.
* DATAGEODE-46 - Refactor API names used in the Annotation config and GemFire Mock Objects support.
* DATAGEODE-45 - Upgrade to Apache Geode 1.2.1.
* DATAGEODE-44 - Use Geode's DEFAULT Pool when a Pool cannot be resolved from the Spring context.
* DATAGEODE-43 - Add explicit automatic module name for Java 9.
* DATAGEODE-42 - Upgrade to OpenWebBeans 2.0.1.
* DATAGEODE-41 - Fix LuceneOperationsIntegrationTests CI failures.
* DATAGEODE-40 - Fix PoolsConfiguredWithLocatorsAndServersExpressionsIntegrationTests CI failures.
* DATAGEODE-39 - Release 2.0 GA (Kay).
* DATAGEODE-38 - Add Annotation configuration support for Continuous Queries.
* DATAGEODE-37 - Apply Java 8 types and functionality to the Continuous Query support.
* DATAGEODE-34 - Add EnableClusterConfiguration annotation to push cluster configuration meta-data from the client to the server.


Changes in version 2.0.0.RC3 (2017-09-11)
-----------------------------------------
* DATAGEODE-35 - Add missing configuration support for critical-off-heap-percentage and eviction-off-heap-percentage.
* DATAGEODE-33 - Add EnableCachingDefinedRegions annotation to configure Geode Regions based on Spring Caching annotations.
* DATAGEODE-32 - Move custom Asciidoctor Maven build plugin configuration testing HTML doc generation into profile.
* DATAGEODE-30 - Fix Reference Guide formatting.
* DATAGEODE-29 - Release 2.0 RC3 (Kay).


Changes in version 2.0.0.RC2 (2017-07-25)
-----------------------------------------
* DATAGEODE-32 - Move custom Asciidoctor Maven build plugin configuration testing HTML doc generation into profile.
* DATAGEODE-31 - Project build needs to use springdata.commons as property name for Spring Data Commons dependency.
* DATAGEODE-28 - Release 2.0 RC2 (Kay).


Changes in version 2.0.0.RC1 (2017-07-25)
-----------------------------------------
* DATAGEODE-27 - Release 2.0 RC1 (Kay).
* DATAGEODE-25 - Add EnableBeanFactoryLocator annotation to enable the GemfireBeanFactoryLocator on Cache creation.
* DATAGEODE-24 - Enhance @EnableSecurity to provide a default implementation of the Geode AuthInitialize interface.
* DATAGEODE-23 - Add Annotation to configure and enable Spring's Transaction Management with Local, Geode Cache Transactions.
* DATAGEODE-22 - Add Annotation to configure and enable the Spring Cache Abstraction with the GemfireCacheManager.
* DATAGEODE-20 - Upgrade to Apache Geode 1.2.0.
* DATAGEODE-19 - Meta-annotate all uses of Geode-based property configuration in the Annotation config model.
* DATAGEODE-18 - Introduce new Apache Geode Mock Objects infrastructure for Unit Testing.
* DATAGEODE-17 - Adapt to API changes in mapping subsystem.
* DATAGEODE-16 - Add support for Geode JCA ResourceAdapter.
* DATAGEODE-15 - Adapt to API changes in RepositoryConfigurationSourceSupport.
* DATAGEODE-14 - Improve IndexFactoryBean's resilience and options for handling GemFire IndexExistsExceptions and IndexNameConflictExceptions.
* DATAGEODE-13 - Introduce well-known, documented properties for Annotation config attributes.
* DATAGEODE-12 - Introduce Spring Configurers to flexibly alter Spring Data Geode configuration when using Annotation config.
* DATAGEODE-11 - Adapt to API changes in the org.apache.geode.internal.InternalDataSerializer class.
* DATAGEODE-10 - Adapt to API changes in the org.apache.geode.cache.lucene.LuceneQueryFactory interface.
* DATAGEODE-9 - Adapt to API changes in the org.apache.geode.cache.client.Pool interface.
* DATAGEODE-8 - Ensure locators and servers are configured correctly when using <gfe:pool> attributes.
* DATAGEODE-7 - Javadoc is not part of the distribution build.
* DATAGEODE-6 - Fix up Lucene Integration tests and Region namespace test to improve reliability.
* DATAGEODE-5 - Review and edit Spring Data Geode Reference Guide.
* DATAGEODE-4 - Adapt to API changes in Repository interfaces.
* DATAGEODE-3 - Fix GemfireSimpleTypeHolderTest due to API changes in SDC SimpleTypeHolder.


Changes in version 1.0.0.APACHE-GEODE-INCUBATING-RELEASE (2016-11-02)
---------------------------------------------------------------------
* SGF-558 - Rename Geode package imports from com.gemstone.gemfire to org.apache.geode.
* SGF-559 - Configure Geode Integrated Security with annotations.
* SGF-560 - Release 1.0.0.APACHE-GEODE-INCUBATING-RELEASE.
* SGF-562 - Include attribute to enable BeanFactoryLocator support in Annotation config.
* SGF-565 - Stackoverflow error when the 'locators' attribute is specified in any of the XCacheApplication annotations.
* SGF-566 - Upgrade dependencies... Java 8, Spring Data Commons 1.12.5 and Spring Framework to 4.3.4.


Changes in version 1.0.0.APACHE-GEODE-INCUBATING-M3 (2016-10-05)
----------------------------------------------------------------
* SGF-267 - Backwards Compatibility Testing between Clients and Servers as well as between GemFire Peer Members
* SGF-484 - NoSuchMethodError with Spring Data Gemfire RC1 version
* SGF-492 - Improve GemFire Java-based configuration support - Iteration 1
* SGF-493 - Remove unnecessary GemFire/Geode version checks.
* SGF-497 - Intermittent failures in DurableClientCacheIntegrationTest
* SGF-498 - Fix apache-geode build due to recent changes in Apache Geode that removed the SharedConfiguration.destroySharedConfiguration() method from the API.
* SGF-499 - Prevent SDG-defined Pools from being destroyed before the Regions that use them
* SGF-500 - Add support for ignoreEvictionAndExpiration in the AsyncEventQueueFactoryBean API and XML namespace.
* SGF-501 - Add serialVersionUID to ListRegionsOnServerFunction
* SGF-502 - DiskStoreAndEvictionRegionParsingTest fails when building with Maven due to missing Disk Store sub-directory.
* SGF-504 - Support Repositories with multiple Spring Data modules on the class path
* SGF-505 - Add support for forwardExpirationDestroy in the AsyncEventQueueFactoryBean API and XML namespace.
* SGF-506 - ExceptionInInitializerError with Spring Gemfire 1.8.1
* SGF-507 - Handle case-insensitive OQL queries defined as Repository query methods.
* SGF-508 - Fix embedded Locator and Manager service configuration using Java-based configuration meta-data with @Enabled annotations.
* SGF-510 - Create 1.0.0.APACHE-GEODE-INCUBATING-M3-SNAPSHOT
* SGF-511 - Configure additional CacheServers with annotations.
* SGF-512 - Configure GemFire System Properties with annotations.
* SGF-513 - Configure SSL with annotations.
* SGF-514 - Configure HttpService with annotations.
* SGF-515 - Configure Geode Off-Heap Memory with annotations.
* SGF-517 - Configure Authentication/Authorization with annotations.
* SGF-518 - Configure Logging with annotations.
* SGF-519 - Configure Mcast with annotations.
* SGF-520 - Configure Statistics with annotations.
* SGF-522 - There are a few broken links in SDG documentation
* SGF-525 - Set Apache Geode version to 1.0.0-incubating.M3.
* SGF-528 - Enable GemfireCacheManager to explicitly specify Cache names referring to Regions that will be used in Spring's Caching Infrastructure.
* SGF-533 - Update Spring dependencies, set Apache Geode version to 1.0.0-incubating.M3 and refactor exclusions
* SGF-534 - Fix ordered GemfireRepository.findAll(Sort) queries
* SGF-535 - Allow both SpEL and property placeholder expressions to be used in the locators/servers attributes of the <gfe:pool> XML namespace element.
* SGF-538 - Reorganize the XML configuration classes and support in SDG.
* SGF-539 - Change GemfireCache.evict(key) to call Region.remove(key).
* SGF-540 - Configure additional Pools using annotations.
* SGF-541 - Register the CustomEditorBeanFactoryPostProcessor for the Annotation config model.
* SGF-542 - Register the DefinedIndexesApplicationListener for the new Annotation config model.
* SGF-543 - Register the DiskStoreDirectoryBeanPostProcessor for the new Annotation config model.
* SGF-544 - Register the PdxDiskStoreAwareBeanFactoryPostProcessor for the new Annotation config model.
* SGF-545 - Register the ClientRegionPoolBeanFactoryPostProcessor for the new Annotation config model.
* SGF-546 - Configure Auto Region Lookup using annotations.
* SGF-552 - Unset 'mcast-port' when 'locators' are specified and unset 'locators' when @EnableMcast is used.
* SGF-553 - Use SDG's MappingPdxSerializer as the default PdxSerializer when PDX is configured with @EnablePdx.
* SGF-554 - Release 1.0.0.APACHE-GEODE-INCUBATING-M3
* SGF-555 - Repository queries on client Regions associated with a Pool configured for a specific server group can lead to a RegionNotFoundException.


Changes in version 1.0.0.APACHE-GEODE-INCUBATING-M2 (2016-04-25)
----------------------------------------------------------------
* SGF-372 - Add GemFire Off-Heap support.
* SGF-445 - Remove MaxPermSize Java option from Gradle build
* SGF-469 - Add support for CDI.
* SGF-475 - Add additional logging to the MappingPdxSerializer
* SGF-476 - Support bootstrapping a Geode server after Geode removes SDG dependency - GEODE-1025
* SGF-477 - Change compile dependency from gemfire-core to geode-core.
* SGF-481 - Upgrade to Spring Framework 4.2.5.RELEASE
* SGF-489 - Update Spring Data and 3rd party dependencies.
* SGF-490 - Re-instate GemFire WAN and CQ functionality.
* SGF-491 - Release 1.0.0.APACHE-GEODE-INCUBATING-M2


Changes in version 1.7.0.APACHE-GEODE-EA-M1 (2016-02-12)
--------------------------------------------------------
* SGF-373 - Implement a Spring Session Adapter for GemFire to back an HttpSession similar to Redis.
* SGF-398 - Provide early support of Apache Geode (Pivotal GemFire OSS).
* SGF-431 - Remove mavenLocal() from the repository declarations.
* SGF-435 - Fix apache-geode build due to recent changes in Apache Geode that removed the deprecated BridgeServer code.
* SGF-440 - Optimize imports across the SDG codebase.
* SGF-442 - Remove incorrect statements about GemFire Java Reflection-based (PDX) Serialization in the SDG Reference Guide.
* SGF-443 - Fix apache-geode build due to recent changes in Apache Geode that removed HDFS support.
* SGF-444 - Fix apache-geode build due to recent changes in Apache Geode that moved Lucene into a separate module.
* SGF-447 - Fix apache-geode build due to recent changes in Apache Geode that removed various internal utility classes in favor of external Spring classes.
* SGF-448 - GemfireRepositoryConfigurationExtension needs to override the RepositoryConfigurationExtensionSupport postProcess(:BeanDefinitionBuilder, :AnnotationRepositoryConfigurationSource) method.
* SGF-449 - GemfireRepositoryFactoryBean.setGemfireMappingContext needs to call RepositoryFactoryBeanSupport.setMappingContext.
* SGF-450 - GemfireRepositoryFactoryBean needs to explicitly register a "default" GemfireMappingContext when not explicitly defined as a bean in the application's Spring context.
* SGF-457 - Clean up Javadoc warnings.
* SGF-458 - Enable resolution of GemFire's DistributedSystem and System properties to be overridden in PoolFactoryBean.
* SGF-459 - Add support for the get(key:Object, valueLoader:Callable) method in Spring Framework 4.3's Cache interface.
* SGF-460 - Remove unnecessary SLF4J compile-time dependency.
* SGF-461 - Upgrade to Spring Framework 4.1.9.RELEASE.
* SGF-462 - Add appinfo hint to client region element in XSD
* SGF-463 - Remove gemfire-jgroups dependency
* SGF-465 - Move project build to Maven
* SGF-466 - Restore function to the Gradle-based build
* SGF-467 - Add Code of Conduct
* SGF-468 - Improve coordination between the PoolFactoryBean and ClientCacheFactoryBean when configuring and resolving the GemFire DistributedSystem
* SGF-471 - Release 1.7.0.APACHE-GEODE-EA-M1
